APIReferenceSources
Create a signal source
Adds an ingestion source. `provider_key` must match a registered SignalSourceProvider.
Adds an ingestion source. provider_key must match a registered SignalSourceProvider.
Authorization
bearerAuth AuthorizationBearer <token>
A Supabase Auth user access token for the signed-in SignalDock user, sent as Authorization: Bearer <token>. Paste one from a signed-in session, or obtain one through the oauth2 scheme; the API accepts either.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/problem+json
application/problem+json
curl -X POST "https://example.com/sources" \ -H "Content-Type: application/json" \ -d '{ "organizationId": "7bc05553-4b68-44e8-b7bc-37be63c6d9e9", "provider_key": "overheid", "name": "KOOP Officiële Publicaties" }'{ "id": "44444444-4444-4444-8444-444444444444", "organization_id": "33333333-3333-4333-8333-333333333333", "provider_key": "overheid", "name": "KOOP Officiële Publicaties", "config": { "property1": null, "property2": null }, "enabled": true, "schedule": "string", "country_code": "NL", "language": "nl", "created_at": "2026-09-15T12:00:00.000Z", "updated_at": "2026-09-15T12:00:00.000Z"}